Installation problem with 1.1

Topics: User Forum
Mar 9, 2007 at 5:04 PM
I'm not sure if this is a bug or a problem with the configuration of my machine.

I get the following message when try install the extensions

Unable to get installer types in the C:\Program Files\PowerShell Community Extensions\Pscx.dll assembly. --> Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.

Unfortunately the installers dialog didn't support copy and past so I'm sure made transcription errors.

Thanks
Mark Levison (who's really looking forward to more Powershell goodness)
----------------------------------
Blog: http://www.notesfromatooluser.com/
Most Popular posts:
Aperture vs. Lightroom - best comparisons
http://www.notesfromatooluser.com/2007/02/aperturevslig.html
Scrum in a Nutshell or 5 minutes to learn Scrum http://www.notesfromatooluser.com/2006/11/scrumina_nuts.html
Getting Things Done!!! Can't Keep Track of all the tasks you have to do? Need a better Tool to Implement GTD? http://www.notesfromatooluser.com/2006/12/gettingthings.html
Developer
Mar 9, 2007 at 5:51 PM
Follow the instructions on MSDN to enable the Fusion Log Viewer, then retry the installation and post the logs here please.
Coordinator
Mar 9, 2007 at 5:54 PM
Are you sure that you have the final, released (RTM) PowerShell bits installed? If you are running RC1/2 you will see problems like this. In which case, you will need to remove those PowerShell bits and install the final PowerShell 1.0 bits.
Mar 9, 2007 at 7:12 PM
Keith - you were on the money. I thought it was a 1.0 Powershell because its version was 1.0.9xxx - when I checked the installed file. After reinstalling the file has a version: 6.0.5430.0.

So it was just a case of PEBKAC. Doh.

Sorry